List Evaluations
curl --request GET \
--url https://api.egp.scale.com/v5/evaluations \
--header 'x-api-key: <api-key>'import requests
url = "https://api.egp.scale.com/v5/evaluations"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.egp.scale.com/v5/evaluations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": "<string>",
"object": "identity"
},
"tags": [
"<string>"
],
"datasets": [
{
"id": "<string>",
"created_by": {
"id": "<string>",
"object": "identity"
},
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"current_version_num": 123,
"object": "dataset",
"description": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"object": "evaluation",
"description": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"status_reason": "<string>",
"progress": {
"workflows": {
"total": 123,
"completed": 123,
"failed": 123,
"pending": 123
},
"items": {
"total": 123,
"successful": 123,
"failed": 123,
"pending": 123,
"failed_items": []
}
},
"tasks": [
{
"configuration": {
"model": "<string>",
"messages": [
{}
],
"top_k": 123,
"frequency_penalty": 123,
"function_call": {},
"functions": [
{}
],
"logit_bias": {},
"logprobs": true,
"max_completion_tokens": 123,
"max_tokens": 123,
"metadata": {},
"modalities": [
"<string>"
],
"n": 123,
"parallel_tool_calls": true,
"prediction": {},
"presence_penalty": 123,
"reasoning_effort": "<string>",
"response_format": {},
"seed": 123,
"stop": "<string>",
"store": true,
"temperature": 123,
"tool_choice": "<string>",
"tools": [
{}
],
"top_logprobs": 123,
"top_p": 123,
"audio": {}
},
"task_type": "chat_completion",
"alias": "chat_completion"
}
],
"metadata": {},
"error_count": 123
}
],
"total": 123,
"has_more": true,
"object": "list",
"limit": 100
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Evaluations
List Evaluations
List evaluations for the account, with pagination.
Supports filtering by case-insensitive name substring and by tags; archived
evaluations are excluded unless include_archived is set. Pass the tasks view to include each
evaluation’s task configurations in the response. Use this for simple name or tag lookups;
to filter on metadata key-value pairs or status, use the filter endpoint instead.
GET
/
v5
/
evaluations
List Evaluations
Authorizations
Headers
Query Parameters
Available options:
tasks Required range:
1 <= x <= 10000Available options:
asc, desc Response
Successful Response
Show child attributes
Show child attributes
The total of items that match the query. This is greater than or equal to the number of items returned.
Whether there are more items left to be fetched.
Allowed value:
"list"The maximum number of items to return.
⌘I

